This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 786258 (CVE-2011-3659)

Summary: CVE-2011-3659 Mozilla: child nodes from nsDOMAttribute still accessible after removal of nodes (MFSA 2012-04)
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: gecko-bugs-nobody, mjc
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=critical,public=20120131,reported=20120131,source=internet,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-6/firefox=affected,rhel-5/firefox=affected,rhel-4/firefox=affected,rhel-6/thunderbird=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-02-01 04:04:40 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Vincent Danen 2012-01-31 15:46:32 EST
It was found that removed child nodes of nsDOMAttribute could be accessed under certain circumstances, due to premature notification of AttributeChildRemoved.  This use-after-free of the child nodes could possibly allow for the the remote execution of arbitrary code.

Reference:
https://bugzilla.mozilla.org/show_bug.cgi?id=708198

External References:

http://www.mozilla.org/security/announce/2012/mfsa2012-04.html
Comment 1 errata-xmlrpc 2012-01-31 18:45:02 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0080 https://rhn.redhat.com/errata/RHSA-2012-0080.html
Comment 2 errata-xmlrpc 2012-01-31 19:07:28 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0079 https://rhn.redhat.com/errata/RHSA-2012-0079.html